game.onevent(defines.events.onguiclick, function(event)
	if guiNames[event.element.name] then
		guiNames[event.element.name](event)
	end
end)

function showChestGui(chest, player_index)
	local gui_loc = game.players[player_index].gui.center
	local sschest_gui = gui_loc.add({type = "frame", name = "sschest_gui", caption = game.getlocalisedentityname(chest), direction = "vertical", style = frame_caption_label_style})
	
	local config_north_frame = sschest_gui.add({type = "frame", name = "ssc_config_north_frame", direction = "horizontal"})
	config_north_frame.add({type = "button", name = "ssc_config_north_toggle", caption = "N", style = "somestyle"})
	config_north_frame.add({type = "button", name = "ssc_config_north_filter", caption = "", style = chest.output_config[north]})
	config_north_frame.add({type = "button", name = "ssc_config_north_reset", caption = "Clear", style = "somestyle"})
	
	local config_east_frame = sschest_gui.add({type = "frame", name = "ssc_config_east_frame", direction = "horizontal"})
	config_east_frame.add({type = "button", name = "ssc_config_east_toggle", caption = "E", style = "somestyle"})
	config_east_frame.add({type = "button", name = "ssc_config_east_filter", caption = "", style = chest.output_config[east]})
	config_east_frame.add({type = "button", name = "ssc_config_east_reset", caption = "Clear", style = "somestyle"})
	
	local config_south_frame = sschest_gui.add({type = "frame", name = "ssc_config_south_frame", direction = "horizontal"})
	config_south_frame.add({type = "button", name = "ssc_config_south_toggle", caption = "S", style = "somestyle"})
	config_south_frame.add({type = "button", name = "ssc_config_south_filter", caption = "", style = chest.output_config[south]})
	config_south_frame.add({type = "button", name = "ssc_config_south_reset", caption = "Clear", style = "somestyle"})
	
	local config_west_frame = sschest_gui.add({type = "frame", name = "ssc_config_west_frame", direction = "horizontal"})
	config_west_frame.add({type = "button", name = "ssc_config_west_toggle", caption = "W", style = "somestyle"})
	config_west_frame.add({type = "button", name = "ssc_config_west_filter", caption = "", style = chest.output_config[west]})
	config_west_frame.add({type = "button", name = "ssc_config_west_reset", caption = "Clear", style = "somestyle"})
	
	local button_apply = sschest_gui.add({type = "button", name = "ssc_config_apply", style = something right-justified})
	
	local direction_list = {"north", "east", "south", "west"}
	for i in direction_list do
		
	end
end

local guiNames = {
	["ssc_config_north_toggle"] = handleToggle,
	["ssc_config_north_filter"] = handleFilter,
	["ssc_config_north_reset"] = handleReset,
	
	["ssc_config_east_toggle"] = handleToggle,
	["ssc_config_east_filter"] = handleFilter,
	["ssc_config_east_reset"] = handleReset,
	
	["ssc_config_south_toggle"] = handleToggle,
	["ssc_config_south_filter"] = handleFilter,
	["ssc_config_south_reset"] = handleReset,
	
	["ssc_config_west_toggle"] = handleToggle,
	["ssc_config_west_filter"] = handleFilter,
	["ssc_config_west_reset"] = handleReset,
	
	["ssc_config_apply"] = handleApplySettings
}
